import squint.*;

import javax.swing.*;



// A small (and familiar) program to illustrate how some basic GUI features
// provided by Squint.  
// The program adds a copy of the words "That tickles" to the display 
// each time its button is pressed

public class TouchyButton extends GUIManager
{
    private final int WINDOW_WIDTH = 170, WINDOW_HEIGHT = 300;
    
    private JLabel aLabel = new JLabel( "Click on the button below" );
    private JButton aButt = new JButton( "Click Here" );

    // Create the user interface window
    public TouchyButton() {
        this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );

        contentPane.add( aLabel );     
        contentPane.add( aButt );



    }
    
    // Add text to the window whenever the user clicks
    public void buttonClicked() {
        contentPane.add( new JLabel( "That tickles!" ) );
    }
    
 }
